Bug 956474

Summary: OpenStack keystone: /var/log/keystone/ is world readable
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, aortega, apevec, apevec, ayoung, bfilippov, breu, chrisw, cpelland, dallan, d.busby, Jan.van.Eldik, jkt, jonathansteffan, jose.castro.leon, jrusnack, markmc, p, rbryant, rhos-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130424,reported=20130424,source=redhat,epel-6/openstack-keystone=affected,fedora-all/openstack-keystone=affected,openstack-1/openstack-keystone=wontfix,openstack-2.1/openstack-keystone=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-07 23:32:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 956809, 956814, 956819    
Bug Blocks:    

Description Kurt Seifried 2013-04-25 00:01:11 EDT
The directory /var/log/keystone is world readable and contains log files that
are readable which can result in exposure of sensitive information. We need
to remove the "other readable/execute" bits from the /var/log/keystone directory

[root@rhos log]# ls -la /var/log/keystone
total 8
drwxr-xr-x.  2 keystone keystone 4096 Apr 24 21:37 .
drwxr-xr-x. 22 root     root     4096 Apr 24 21:37 ..
-rw-r--r--.  1 keystone keystone    0 Apr 24 21:37 keystone.log

At this time this is a security hardening issue.
Comment 1 Kurt Seifried 2013-04-25 13:25:29 EDT
Created openstack-keystone tracking bugs for this issue

Affects: epel-6 [bug 956809]
Comment 2 Kurt Seifried 2013-04-25 13:27:56 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 956814]
Comment 5 errata-xmlrpc 2013-05-09 14:17:22 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0806 https://rhn.redhat.com/errata/RHSA-2013-0806.html
Comment 6 Fedora Update System 2013-05-21 21:29:22 EDT
openstack-keystone-2012.2.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-07-12 15:37:36 EDT
openstack-keystone-2012.2.4-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-20 05:32:02 EDT
openstack-keystone-2013.1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.